de.dhbwstuttgart.syntaxtree.statement

## Class Expr

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.statement.Statement
    - - de.dhbwstuttgart.syntaxtree.statement.ExprStmt
      - - de.dhbwstuttgart.syntaxtree.statement.Expr

- All Implemented Interfaces:
    IItemWithOffset, Typeable
  Direct Known Subclasses:
    Assign, BinaryExpr, InstVar, LambdaExpression, Literal, LocalOrFieldVar, MethodCall, NewArray, NewClass, This, UnaryExpr

      public abstract class Expr
      extends ExprStmt

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `UsedId` | `usedid`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.ExprStmt

      `inferencelog`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.Statement

      `offset, type`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Expr(int offset, int variableLength)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Menge` | `get_Name_Menge()`
    `abstract java.lang.String` | `get_Name()`
    `Menge` | `get_Type_Menge()`
    `UsedId` | `get_UsedId()`
    `void` | `set_Type(Type type)`
    `void` | `set_UsedId(UsedId ui)`
    `abstract ConstraintsSet` | `TYPEExpr(TypeAssumptions assumptions)`
    `ConstraintsSet` | `TYPEStmt(TypeAssumptions assumptions)`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.ExprStmt

      `getTypeLineNumber, getTypeName`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.Statement

      `getDescription, getOffset, getReturnType, getType, getTypeInformation, getVariableLength, printJavaCode, setReturnType, setType, wandleRefTypeAttributes2GenericAttributes`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `addTypeInsertPoints, equals, getChildren, getGTVDeclarationContext, getMatchingParentNode, getParent, getParentClass, parserPostProcessing, seesType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### usedid

          public UsedId usedid

  - ### Constructor Detail

    - #### Expr

          public Expr(int offset,
                      int variableLength)

  - ### Method Detail

    - #### set_Type

          public void set_Type(Type type)

    - #### set_UsedId

          public void set_UsedId(UsedId ui)

    - #### get_UsedId

          public UsedId get_UsedId()

    - #### get_Name_Menge

          public Menge get_Name_Menge()

    - #### get_Type_Menge

          public Menge get_Type_Menge()

    - #### get_Name

          public abstract java.lang.String get_Name()

    - #### TYPEExpr

          public abstract ConstraintsSet TYPEExpr(TypeAssumptions assumptions)

    - #### TYPEStmt

          public ConstraintsSet TYPEStmt(TypeAssumptions assumptions)

      Specified by:
        `TYPEStmt` in class `Statement`